团队成员

GET https://mybotsy.com/api/teams-member/
curl --request GET \
--url 'https://mybotsy.com/api/teams-member/' \
--header 'Authorization: Bearer {api_key}' \
参数 详细信息 说明
search 可选 字符串 搜索字符串
search_by 可选 字符串 您在哪个领域搜索。允许的值为:name。
datetime_field 可选 字符串 允许值:datetime, last_datetime
datetime_start 可选 字符串 过滤从此日期时间开始的结果。 Ymd H:i:s格式。
datetime_end 可选 字符串 筛选截至该日期时间的结果。 Ymd H:i:s格式。
order_by 可选 字符串 按什么字段对结果进行排序。允许的值为:team_member_id, datetime, last_datetime。
order_type 可选 字符串 结果的排序。允许的值为: ASC表示升序, DESC表示降序。
page 可选 整数 您想要结果的页码。默认为1 。
results_per_page 可选 整数 您希望每页有多少个结果。允许的值为:10, 25, 50, 100, 250, 500, 1000。默认为25 。
{
    "data": [
        {
            "id": 1,
            "access": {
                "read": true,
                "create": true,
                "update": true,
                "delete": false
            },
            "status": 1,
            "last_datetime": null,
            "datetime": "2026-10-30 00:39:15",
            "team_id": 1,
            "user_id": 1,
            "name": "Example team"
        }
    ],
    "meta": {
        "page": 1,
        "total_pages": 1,
        "results_per_page": 25,
        "total_results": 1
    },
    "links": {
        "first": "https://mybotsy.com/api/teams-member?page=1",
        "last": "https://mybotsy.com/api/teams-member?page=1",
        "next": null,
        "prev": null,
        "self": "https://mybotsy.com/api/teams-member?page=1"
    }
}
GET https://mybotsy.com/api/teams-member/{team_member_id}
curl --request GET \
--url 'https://mybotsy.com/api/teams-member/{team_member_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "access": {
            "read": true,
            "create": true,
            "update": true,
            "delete": false
        },
        "status": 1,
        "last_datetime": null,
        "datetime": "2026-10-30 00:39:15",
        "team_id": 1,
        "user_id": 1,
        "name": "Example team"
    }
}
POST https://mybotsy.com/api/teams-member/{team_member_id}
参数 详细信息 说明
status 必需 布尔值 -
curl --request POST \
--url 'https://mybotsy.com/api/teams-member/{team_member_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'status=1' \
{
    "data": {
        "id": 1,
        "access": {
            "read": true,
            "create": true,
            "update": true,
            "delete": false
        },
        "status": 1,
        "last_datetime": "2026-10-30 00:39:15",
        "datetime": "2026-10-30 00:39:15",
        "team_id": 1,
        "user_id": 1,
        "name": "Example team"
    }
}
DELETE https://mybotsy.com/api/teams-member/{team_member_id}
curl --request DELETE \
--url 'https://mybotsy.com/api/teams-member/{team_member_id}' \
--header 'Authorization: Bearer {api_key}' \